### Method

# Gtk Stack add_named

#### Declaration [src]

    GtkStackPage*
    gtk_stack_add_named (
      GtkStack* stack,
      GtkWidget* child,
      const char* name
    )

#### Description [src]

Adds a child to `stack`.

The child is identified by the `name`.

#### Parameters

`child` | `GtkWidget`
| The widget to add.
| The data is owned by the caller of the function.
`name` | `const char*`
| The name for `child`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkStackPage`
| The `GtkStackPage` for `child`.
| The data is owned by the instance.